"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parsing_utils_1 = require("../utils/parsing-utils");
var SlEnvVars = /** @class */ (function () {
    function SlEnvVars() {
    }
    SlEnvVars.getHttpTimeout = function () {
        return parsing_utils_1.ParsingUtils.parseNumber(SlEnvVars.HTTP_TIMEOUT);
    };
    SlEnvVars.inProductionListenerMode = function () {
        return !!process.env[SlEnvVars.PRODUCTION_LISTENER];
    };
    SlEnvVars.getProductionListenerModes = function () {
        return (process.env[SlEnvVars.PRODUCTION_LISTENER] || "").split(',');
    };
    SlEnvVars.getFileStorage = function () {
        return process.env[SlEnvVars.FILE_STORAGE];
    };
    SlEnvVars.getBasePath = function () {
        return process.env[SlEnvVars.BASE_PATH];
    };
    SlEnvVars.isUseNewUniqueId = function () { return parsing_utils_1.ParsingUtils.parseBoolean(SlEnvVars.NEW_UNIQUE_ID); };
    var _a;
    //Controls the http timeout for all of the HTTP requests which
    //are being sent use the HttpClient.
    SlEnvVars.HTTP_TIMEOUT = "SL_httpTimeout";
    //Set to 'true' in order to report production data.
    SlEnvVars.PRODUCTION_LISTENER = "SL_production";
    //Determines the path in which we store files.
    SlEnvVars.FILE_STORAGE = "SL_fileStorage";
    //Determines if should resolve with new uniqueId format.
    SlEnvVars.NEW_UNIQUE_ID = "SL_newUniqueId";
    //Determines the cwd
    SlEnvVars.BASE_PATH = "SL_basePath";
    SlEnvVars.CIA = (_a = /** @class */ (function () {
            function class_1() {
            }
            class_1.getFileExtensions = function () {
                return process.env[SlEnvVars.CIA.FILE_EXTENSIONS];
            };
            class_1.isEnableModernInstrumentation = function () {
                return parsing_utils_1.ParsingUtils.parseBoolean(SlEnvVars.CIA.ENABLE_MODERN_INSTRUMENTATION);
            };
            class_1.getSourceRoot = function () {
                return process.env[SlEnvVars.CIA.SL_SOURCE_ROOT];
            };
            class_1.isLoadSourceMapScript = function () {
                return parsing_utils_1.ParsingUtils.parseBoolean(SlEnvVars.CIA.LOAD_SOURCE_MAP_AS_SCRIPT);
            };
            return class_1;
        }()),
        //Controls if the Build Scanner will have browser instrumentation based on InstanbulJS
        //or using the obsolete sl-node-cover.
        _a.ENABLE_MODERN_INSTRUMENTATION = "SL_enableModernInstrumentation",
        //Allow to override the files extensions that will be scanned and instrumented by the Build Scanner.
        _a.FILE_EXTENSIONS = "SL_fileExtensions",
        //Determines the root path we should add to the source files.
        _a.SL_SOURCE_ROOT = "SL_sourceRoot",
        //Determines if sorce map library will load from http script or from npm package.
        _a.LOAD_SOURCE_MAP_AS_SCRIPT = "SL_loadSourceMapAsScript",
        _a);
    return SlEnvVars;
}());
exports.SlEnvVars = SlEnvVars;
//# sourceMappingURL=sl-env-vars.js.map